# Swoole\Atomic::set

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

Swoole\Atomic::set — Set a new value to the atomic object.

### Description

public Swoole\Atomic::set ( integer `$value` ) : integer

Set a new value to the atomic object.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`value`

  The value to set to the atomic object.

### Return Values

The current value of the atomic object.